/*

Master Look up 
LLP001  --- Line Based styles
LLP002  --- Table Based styles
LLP003 ----Container styles
LLP004   ----Form components Style
LLP005   ----Button components Style
LLP006   ----Drop Down components Style

LLP008   ----Messages style(error, info, alert)
LLP009   ---- Validation framework css

*/

/*Button Based Styles ---Start LLP005*/

/*blue color button*/
.btn-blue-save {
  border: 1px solid #ddd;
  background-color: dodgerblue;
  font-size: 100%;
  color: white;
  cursor: pointer;
  border-radius: 6px;
  font-size: 10px;
  height: 25px;
  width: 115%;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
}
.btn-gray-save {
  border: 1px solid #ddd;
  background-color: grey;
  font-size: 100%;
  color: white;
  cursor: pointer;
  border-radius: 6px;
  font-size: 10px;
  height: 25px;
  width: 115%;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
}

/*Button Based Styles ---End*/

/*Container Based Styles ---Start LLP003*/

.overallcontainer {
  height: 100%;
}
.menucontainer {
  width: 100%;

  z-index: 999;
  top: 10.8%;
  float: left;
}

.container {
  background-color: #f0f0f0;

  padding: 0px 0px 10px 0px;
  padding: 1%;
  border: 1px solid lightgrey;
}

/*For All screens the common page container Author Siva*/

.fixed-header,
.fixed-footer {
  width: 100%;

  color: #333;

  z-index: 999;
}

.fixed-footer {
  bottom: 0;
}

/*Container Based Styles ---End*/

#pageheader {
  background: white;
  width: 98%;
  margin: 5px 0px 5px 2px;
  padding: 8px;
  text-align: left;
}

/*Form Based Styles ---Start LLP004*/

.form-group {
  /** display: -webkit-flex;  **/
  display: flex;
  flex-flow: row;
  align-items: left;
  width: 100%;
}
.form-group label {
  text-align: right;
  vertical-align: bottom;
  margin: 8px 15px 0px 10px;
  display: block;
  white-space: nowrap;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
}

.form-group input {
  width: 100%;
  padding: 6px;
  border: 1px solid #ddd;
  border-radius: 5px;
  resize: vertical;
  margin: 5px 10px 0px 0px;
}
.form-group textarea {
  width: 100%;
  padding: 6px;
  border: 1px solid #ddd;
  border-radius: 5px;
  resize: vertical;
  margin: 5px 10px 0px 0px;
}

.form-group select {
  width: 100%;
  padding: 6px;
  border: 1px solid #ddd;
  border-radius: 5px;
  resize: vertical;
  margin: 5px 10px 0px 0px;
}
.form-group textarea {
  vertical-align: left;
  margin: 5px 10px 0px 0px;
  padding: 6px;
  background-color: #fff;
  border: 1px solid #ddd;
}
.form-group button {
  padding: 10px 20px;
  background-color: dodgerblue;
  border: 1px solid #ddd;
  color: white;
  cursor: pointer;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  border-radius: 6px;
  font-size: 10px;
  height: 25px;
  margin: 0px;
  width: 100px;
  padding-top: 5px;
}
.form-group button :disabled {
  background: #dddddd;
}

.col-2 {
  float: right;
  width: 2%;
}
.col-10 {
  float: right;
  width: 10%;
}
.col-12 {
  float: right;
  width: 12%;
}
.col-15 {
  float: right;
  width: 15%;
}
.col-20 {
  float: right;
  width: 20%;
}

.col-40 {
  float: right;
  width: 40%;
}
.col-30 {
  float: right;
  width: 30%;
}
.col-60 {
  float: right;
  width: 60%;
}
.card {
  overflow: hidden;
  border: 1px solid #00529b;
  background: white;
  padding: 10px 0px 10px 0px;
  border-top: none;
}

.required:after {
  content: " *";
  color: red;
}
.export-button {
  background-color: dodgerblue;
  border: 1px solid #ddd;
  color: white;
  cursor: pointer;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  border-radius: 6px;
  font-size: 10px;
  margin: 0px;
  width: 100px;
  padding-top: 5px;
}

.data-export-button {
  background-color: dodgerblue;
  border: 1px solid #ddd;
  color: white;
  cursor: pointer;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  border-radius: 6px;
  font-size: 12px;
  margin: 0px;
  width: 50%;
  padding: 7px;
  flex-direction: column;
  align-items: stretch;
}

/*Form Based Styles ---End*/

/*Message Based Styles ---Start LLP008*/

.info {
  margin: 65px auto 0;
  color: #bfbfbf;
  font-size: 10px;
  text-shadow: 0 1px 0 rgba(255, 255, 255, 0.5);
  text-align: center;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
}

.info p {
  line-height: 1;
}

.info a {
  color: inherit;
  text-decoration: none;
  font-weight: 400;
}

.info a:hover {
  text-decoration: underline;
}
.alert-danger {
  color: red;
  display: block;
  font-size: 12px;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
}
/** LLP009- Validation framework CSS - START **/
input.is-invalid {
  border-color: red;
}
select.is-invalid {
  border-color: red;
}
textarea.is-invalid {
  border-color: red;
}
input.error {
  border: 1px solid red;
}
/** Validation framework CSS - END **/
.confirm-message {
  color: green;
  border-color: #333;
  display: block;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
}

.error {
  font-size: 24px;
  font-weight: 400;
  color: white;
  text-align: center;
  border: 1px solid darkred;
  padding: 10px;
  background-color: #af5b5e;
  border-radius: 5px;
}
.ErrorDiv {
  width: 14%;
}

/*Message Based Styles ---End*/

/*Heading Styles --Start*/
/*Author ---Siva */

/*This is a section Heading that has a blue back ground */
.heading {
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  font-size: 14px;
  color: #00529b;
  background-color: #bde5f8;
  border: 1px solid;
  margin: 5px 0px;
  width: "98%";
  padding: 10px 10px 10px 10px;
  background-repeat: no-repeat;
}

/*Heading Styles --End*/

/*Table Based Styles ---Start LLP002*/
/*Author ---Siva */

/*This header gives a red bacground use only when you have more than one header in the table*/
.table-month-header-red {
  background: #831313;
  color: white;
  text-align: center;
  font-weight: bold;

  border: 1px solid #ddd;
  text-align: center;
  font-size: 12px;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
}
/*This header gives a Blue background use for a table which has only ONE Header row*/
.table-month-header-blue {
  border: 1px solid #ddd;
  background: #13405e;
  color: white;
  text-align: center;
  font-weight: bold;

  text-align: center;
  font-size: 12px;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
}

/*This is for the row layout for a border*/
.table-month-row {
  border: 1px solid #ccc;
}

/*This is for the cell with data in center*/
.table-month-td {
  border: 1.5px solid #eee;
  text-align: left;
  border-bottom: 1px solid #eee;
  position: relative;
  font-size: 12px;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
}
.center {
  text-align: center;
}
/*This is the style for the Table */
.table-month-table {
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  border-collapse: collapse;
  margin: 0px 0px 0px 2px;
  background-color: white;
  width: 98%;
  border-color: "#e3e4e5";
}

.confirm-message {
  color: green;
  border-color: #333;
  display: block;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
}
/*Table Based Styles ---End*/

/*Line Based Styles ---Start LLP001*/
/* Author Siva*/
/*grey color horizontal line*/

/*grey color vertical line*/
.vertical-line {
  border-left: 1.5px solid rgb(187, 190, 192);
}
.table-border {
  border: 1px solid #dddddd;
  text-align: left;
  padding: 8px 100px 8px 8px;
  background: #f7dc6f;
}
.table-border-right {
  border: 1px solid #dddddd;
  text-align: right;
  padding: 8px 10px 8px 10px;
  background: #78d6ac;
}
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  padding-top: 100px; /* Location of the box */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0, 0, 0); /* Fallback color */
  background-color: rgba(0, 0, 0, 0.4); /* Black w/ opacity */
}

/* Modal Content */
.modal-content {
  background-color: #fefefe;
  margin: auto;
  padding: 20px 20px 20px 50px;
  border: 1px solid #888;
  width: 40%;
}

.loader {
  position: absolute;
  top: 50%;
  left: 50%;
  margin: -15px 0 0 -175px;
  -webkit-transform: scale(0.75);
  -moz-transform: scale(0.75);
  -o-transform: scale(0.75);
  -ms-transform: scale(0.75);
  transform: scale(0.75);
}
.loader:hover {
  cursor: wait;
}
.loader .dot {
  z-index: 3;
  position: relative;
  float: left;
  width: 50px;
  height: 50px;
  text-align: center;
  content: "";
  background: #fff;
  color: lightseagreen;
  font: lighter 20px/50px "Helvetica Neue", "Roboto Light", "RobotoLight",
    "Segoe UI Light", sans-serif;
  -webkit-transform: scale(0.5, 0.5);
  -moz-transform: scale(0.5, 0.5);
  -o-transform: scale(0.5, 0.5);
  -ms-transform: scale(0.5, 0.5);
  transform: scale(0.5, 0.5);
  opacity: 0;
  -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
  filter: alpha(opacity=0);
  -webkit-animation: loader 5s infinite linear;
  -moz-animation: loader 5s infinite linear;
  -o-animation: loader 5s infinite linear;
  -ms-animation: loader 5s infinite linear;
  animation: loader 5s infinite linear;
  -webkit-border-radius: 50%;
  border-radius: 50%;
  border: 1px solid lightseagreen;
}
.loader .dot:nth-of-type(1) {
  -webkit-animation-delay: 0.15s;
  -moz-animation-delay: 0.15s;
  -o-animation-delay: 0.15s;
  -ms-animation-delay: 0.15s;
  animation-delay: 0.15s;
}
.loader .dot:nth-of-type(2) {
  -webkit-animation-delay: 0.3s;
  -moz-animation-delay: 0.3s;
  -o-animation-delay: 0.3s;
  -ms-animation-delay: 0.3s;
  animation-delay: 0.3s;
}
.loader .dot:nth-of-type(3) {
  -webkit-animation-delay: 0.45s;
  -moz-animation-delay: 0.45s;
  -o-animation-delay: 0.45s;
  -ms-animation-delay: 0.45s;
  animation-delay: 0.45s;
}
.loader .dot:nth-of-type(4) {
  -webkit-animation-delay: 0.6s;
  -moz-animation-delay: 0.6s;
  -o-animation-delay: 0.6s;
  -ms-animation-delay: 0.6s;
  animation-delay: 0.6s;
}
.loader .dot:nth-of-type(5) {
  -webkit-animation-delay: 0.75s;
  -moz-animation-delay: 0.75s;
  -o-animation-delay: 0.75s;
  -ms-animation-delay: 0.75s;
  animation-delay: 0.75s;
}
.loader .dot:nth-of-type(6) {
  -webkit-animation-delay: 0.9s;
  -moz-animation-delay: 0.9s;
  -o-animation-delay: 0.9s;
  -ms-animation-delay: 0.9s;
  animation-delay: 0.9s;
}
.loader .dot:nth-of-type(7) {
  -webkit-animation-delay: 1.05s;
  -moz-animation-delay: 1.05s;
  -o-animation-delay: 1.05s;
  -ms-animation-delay: 1.05s;
  animation-delay: 1.05s;
}
.loader .cogs {
  -webkit-transform: scale(0.8);
  -moz-transform: scale(0.8);
  -o-transform: scale(0.8);
  -ms-transform: scale(0.8);
  transform: scale(0.8);
}
.loader .cogs .cog {
  -webkit-animation: rotate1 2s infinite;
  -moz-animation: rotate1 2s infinite;
  -o-animation: rotate1 2s infinite;
  -ms-animation: rotate1 2s infinite;
  animation: rotate1 2s infinite;
  -webkit-animation-timing-function: linear;
  -moz-animation-timing-function: linear;
  -o-animation-timing-function: linear;
  -ms-animation-timing-function: linear;
  animation-timing-function: linear;
  background: lightseagreen;
  -webkit-border-radius: 50%;
  border-radius: 50%;
  width: 100px;
  height: 100px;
  position: absolute;
  top: 40px;
  left: 125px;
}
.loader .cogs .cog.cog0 {
  -webkit-animation: rotate2 2s infinite;
  -moz-animation: rotate2 2s infinite;
  -o-animation: rotate2 2s infinite;
  -ms-animation: rotate2 2s infinite;
  animation: rotate2 2s infinite;
  -webkit-animation-timing-function: linear;
  -moz-animation-timing-function: linear;
  -o-animation-timing-function: linear;
  -ms-animation-timing-function: linear;
  animation-timing-function: linear;
  -webkit-transform: rotate(22.5deg);
  -moz-transform: rotate(22.5deg);
  -o-transform: rotate(22.5deg);
  -ms-transform: rotate(22.5deg);
  transform: rotate(22.5deg);
  top: -41px;
  left: 206px;
}

.loader .cogs .cog:after {
  content: "";
  position: absolute;
  top: 40px;
  left: 40px;
  right: 40px;
  bottom: 40px;
  background: #fff;
  -webkit-border-radius: 50%;
  border-radius: 50%;
  z-index: 2;
}
.loader .cogs .cog .bar {
  position: absolute;
  top: -15%;
  bottom: -15%;
  left: 39%;
  right: 39%;
  background: lightseagreen;
}
.loader .cogs .cog .bar:nth-of-type(2) {
  -webkit-transform: rotate(45deg);
  -moz-transform: rotate(45deg);
  -o-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}
.loader .cogs .cog .bar:nth-of-type(3) {
  -webkit-transform: rotate(90deg);
  -moz-transform: rotate(90deg);
  -o-transform: rotate(90deg);
  -ms-transform: rotate(90deg);
  transform: rotate(90deg);
}
.loader .cogs .cog .bar:nth-of-type(4) {
  -webkit-transform: rotate(-45deg);
  -moz-transform: rotate(-45deg);
  -o-transform: rotate(-45deg);
  -ms-transform: rotate(-45deg);
  transform: rotate(-45deg);
}
@-moz-keyframes loader {
  0% {
    -webkit-transform: scale(0.5, 0.5);
    -moz-transform: scale(0.5, 0.5);
    -o-transform: scale(0.5, 0.5);
    -ms-transform: scale(0.5, 0.5);
    transform: scale(0.5, 0.5);
    opacity: 0;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
    filter: alpha(opacity=0);
  }
  30% {
    -webkit-transform: scale(0.9, 0.9);
    -moz-transform: scale(0.9, 0.9);
    -o-transform: scale(0.9, 0.9);
    -ms-transform: scale(0.9, 0.9);
    transform: scale(0.9, 0.9);
    opacity: 1;
    -ms-filter: none;
    filter: none;
  }
  40% {
    -webkit-transform: scale(0.9, 0.9);
    -moz-transform: scale(0.9, 0.9);
    -o-transform: scale(0.9, 0.9);
    -ms-transform: scale(0.9, 0.9);
    transform: scale(0.9, 0.9);
    opacity: 1;
    -ms-filter: none;
    filter: none;
  }
  70% {
    -webkit-transform: scale(0.5, 0.5);
    -moz-transform: scale(0.5, 0.5);
    -o-transform: scale(0.5, 0.5);
    -ms-transform: scale(0.5, 0.5);
    transform: scale(0.5, 0.5);
    opacity: 0;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
    filter: alpha(opacity=0);
  }
}
@-webkit-keyframes loader {
  0% {
    -webkit-transform: scale(0.5, 0.5);
    -moz-transform: scale(0.5, 0.5);
    -o-transform: scale(0.5, 0.5);
    -ms-transform: scale(0.5, 0.5);
    transform: scale(0.5, 0.5);
    opacity: 0;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
    filter: alpha(opacity=0);
  }
  30% {
    -webkit-transform: scale(0.9, 0.9);
    -moz-transform: scale(0.9, 0.9);
    -o-transform: scale(0.9, 0.9);
    -ms-transform: scale(0.9, 0.9);
    transform: scale(0.9, 0.9);
    opacity: 1;
    -ms-filter: none;
    filter: none;
  }
  40% {
    -webkit-transform: scale(0.9, 0.9);
    -moz-transform: scale(0.9, 0.9);
    -o-transform: scale(0.9, 0.9);
    -ms-transform: scale(0.9, 0.9);
    transform: scale(0.9, 0.9);
    opacity: 1;
    -ms-filter: none;
    filter: none;
  }
  70% {
    -webkit-transform: scale(0.5, 0.5);
    -moz-transform: scale(0.5, 0.5);
    -o-transform: scale(0.5, 0.5);
    -ms-transform: scale(0.5, 0.5);
    transform: scale(0.5, 0.5);
    opacity: 0;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
    filter: alpha(opacity=0);
  }
}
@-o-keyframes loader {
  0% {
    -webkit-transform: scale(0.5, 0.5);
    -moz-transform: scale(0.5, 0.5);
    -o-transform: scale(0.5, 0.5);
    -ms-transform: scale(0.5, 0.5);
    transform: scale(0.5, 0.5);
    opacity: 0;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
    filter: alpha(opacity=0);
  }
  30% {
    -webkit-transform: scale(0.9, 0.9);
    -moz-transform: scale(0.9, 0.9);
    -o-transform: scale(0.9, 0.9);
    -ms-transform: scale(0.9, 0.9);
    transform: scale(0.9, 0.9);
    opacity: 1;
    -ms-filter: none;
    filter: none;
  }
  40% {
    -webkit-transform: scale(0.9, 0.9);
    -moz-transform: scale(0.9, 0.9);
    -o-transform: scale(0.9, 0.9);
    -ms-transform: scale(0.9, 0.9);
    transform: scale(0.9, 0.9);
    opacity: 1;
    -ms-filter: none;
    filter: none;
  }
  70% {
    -webkit-transform: scale(0.5, 0.5);
    -moz-transform: scale(0.5, 0.5);
    -o-transform: scale(0.5, 0.5);
    -ms-transform: scale(0.5, 0.5);
    transform: scale(0.5, 0.5);
    opacity: 0;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
    filter: alpha(opacity=0);
  }
}
@keyframes loader {
  0% {
    -webkit-transform: scale(0.5, 0.5);
    -moz-transform: scale(0.5, 0.5);
    -o-transform: scale(0.5, 0.5);
    -ms-transform: scale(0.5, 0.5);
    transform: scale(0.5, 0.5);
    opacity: 0;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
    filter: alpha(opacity=0);
  }
  30% {
    -webkit-transform: scale(0.9, 0.9);
    -moz-transform: scale(0.9, 0.9);
    -o-transform: scale(0.9, 0.9);
    -ms-transform: scale(0.9, 0.9);
    transform: scale(0.9, 0.9);
    opacity: 1;
    -ms-filter: none;
    filter: none;
  }
  40% {
    -webkit-transform: scale(0.9, 0.9);
    -moz-transform: scale(0.9, 0.9);
    -o-transform: scale(0.9, 0.9);
    -ms-transform: scale(0.9, 0.9);
    transform: scale(0.9, 0.9);
    opacity: 1;
    -ms-filter: none;
    filter: none;
  }
  70% {
    -webkit-transform: scale(0.5, 0.5);
    -moz-transform: scale(0.5, 0.5);
    -o-transform: scale(0.5, 0.5);
    -ms-transform: scale(0.5, 0.5);
    transform: scale(0.5, 0.5);
    opacity: 0;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
    filter: alpha(opacity=0);
  }
}
@-moz-keyframes rotate1 {
  0% {
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(180deg);
    -moz-transform: rotate(180deg);
    -o-transform: rotate(180deg);
    -ms-transform: rotate(180deg);
    transform: rotate(180deg);
  }
}
@-webkit-keyframes rotate1 {
  0% {
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(180deg);
    -moz-transform: rotate(180deg);
    -o-transform: rotate(180deg);
    -ms-transform: rotate(180deg);
    transform: rotate(180deg);
  }
}
@-o-keyframes rotate1 {
  0% {
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(180deg);
    -moz-transform: rotate(180deg);
    -o-transform: rotate(180deg);
    -ms-transform: rotate(180deg);
    transform: rotate(180deg);
  }
}
@keyframes rotate1 {
  0% {
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(180deg);
    -moz-transform: rotate(180deg);
    -o-transform: rotate(180deg);
    -ms-transform: rotate(180deg);
    transform: rotate(180deg);
  }
}
@-moz-keyframes rotate2 {
  0% {
    -webkit-transform: rotate(202.5deg);
    -moz-transform: rotate(202.5deg);
    -o-transform: rotate(202.5deg);
    -ms-transform: rotate(202.5deg);
    transform: rotate(202.5deg);
  }
  100% {
    -webkit-transform: rotate(22.5deg);
    -moz-transform: rotate(22.5deg);
    -o-transform: rotate(22.5deg);
    -ms-transform: rotate(22.5deg);
    transform: rotate(22.5deg);
  }
}
@-webkit-keyframes rotate2 {
  0% {
    -webkit-transform: rotate(202.5deg);
    -moz-transform: rotate(202.5deg);
    -o-transform: rotate(202.5deg);
    -ms-transform: rotate(202.5deg);
    transform: rotate(202.5deg);
  }
  100% {
    -webkit-transform: rotate(22.5deg);
    -moz-transform: rotate(22.5deg);
    -o-transform: rotate(22.5deg);
    -ms-transform: rotate(22.5deg);
    transform: rotate(22.5deg);
  }
}
@-o-keyframes rotate2 {
  0% {
    -webkit-transform: rotate(202.5deg);
    -moz-transform: rotate(202.5deg);
    -o-transform: rotate(202.5deg);
    -ms-transform: rotate(202.5deg);
    transform: rotate(202.5deg);
  }
  100% {
    -webkit-transform: rotate(22.5deg);
    -moz-transform: rotate(22.5deg);
    -o-transform: rotate(22.5deg);
    -ms-transform: rotate(22.5deg);
    transform: rotate(22.5deg);
  }
}
@keyframes rotate2 {
  0% {
    -webkit-transform: rotate(202.5deg);
    -moz-transform: rotate(202.5deg);
    -o-transform: rotate(202.5deg);
    -ms-transform: rotate(202.5deg);
    transform: rotate(202.5deg);
  }
  100% {
    -webkit-transform: rotate(22.5deg);
    -moz-transform: rotate(22.5deg);
    -o-transform: rotate(22.5deg);
    -ms-transform: rotate(22.5deg);
    transform: rotate(22.5deg);
  }
}
/*Line Based Styles ---Start*/

/*** START mobile devices - styles **/
@media (max-width: 1100px) {
  .form-group input {
    margin: 5px 0;
  }
  .form-group label {
    text-align: left;
    margin: 2px 0px 2px 2px;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
  }
  .form-group select {
    margin: 5px 2px;
  }
  .form-group {
    align-items: stretch;
    flex-direction: column;
  }

  .col-2 {
    float: right;
    width: 100%;
  }

  .col-10 {
    float: right;
    width: 100%;
  }
  .col-12 {
    float: right;
    width: 100%;
  }
  .col-15 {
    float: right;
    width: 100%;
  }
  .col-20 {
    float: right;
    width: 100%;
  }

  .col-40 {
    float: right;
    width: 100%;
  }
  .col-30 {
    float: right;
    width: 100%;
  }
  .col-60 {
    float: right;
    width: 100%;
  }
  .menu-margin-top {
    margin-top: 100px;
  }
}

@media (max-width: 430px) {
  .footer {
    height: 50px;
  }

  .filters {
    bottom: 10px;
  }
  /** END Mobile devices- styles **/
}

.hidden {
  display: none;
}
h1.title {
  width: 100%;
  font-size: 80px;
  margin-bottom: 20px;
  line-height: 80px;
  font-weight: 100;
  text-align: center;
  color: rgba(175, 47, 47, 0.15);
  -webkit-text-rendering: optimizeLegibility;
  -moz-text-rendering: optimizeLegibility;
  text-rendering: optimizeLegibility;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
}

h1.email {
  width: 100%;
  font-size: 30px;
  line-height: 30px;
  font-weight: 300;
  margin-bottom: 20px;
  text-align: center;
  color: rgba(175, 47, 47, 0.15);
  -webkit-text-rendering: optimizeLegibility;
  -moz-text-rendering: optimizeLegibility;
  text-rendering: optimizeLegibility;
}

h1.loading {
  width: 100%;
  font-size: 40px;
  margin-bottom: 20px;
  line-height: 80px;
  font-weight: 100;
  text-align: center;
  color: rgba(175, 47, 47, 0.15);
  -webkit-text-rendering: optimizeLegibility;
  -moz-text-rendering: optimizeLegibility;
  text-rendering: optimizeLegibility;
}
.main {
  position: relative;
  z-index: 2;
  border-top: 1px solid #e6e6e6;
}
.footer {
  color: #777;
  padding: 10px 15px;
  height: 20px;
  text-align: center;
  border-top: 1px solid #e6e6e6;
}
/** Customer and EMployee related START ***/
body {
  font-family: Verdana, Geneva, Tahoma, sans-serif;
}
* {
  box-sizing: border-box;
}
.form-inline {
  display: flex;
  flex-flow: row wrap;
  align-items: center;
}
.form-inline label {
  text-align: right;
  width: 12%;
  white-space: nowrap;
}
.form-inline button {
  padding: 3px 10px;
  background-color: dodgerblue;
  border: 1px solid #ddd;
  color: white;
  cursor: pointer;
}
.form-inline button:hover {
  background-color: royalblue;
}
.colorblue {
  background: #cae4f5;
}
.colorgreen {
  background: #defae7;
}
#customersdd {
  width: 18%;
  padding: 7px;
  background-color: #fff;
  border: 1.5px solid #ddd;
}
.marginzero {
  margin: 0;
}
#customerbutton {
  padding: 6px 20px;
  background-color: dodgerblue;
  border: 1px solid #ddd;
  margin: 10px 0px 0px 0px;
  color: white;
  cursor: pointer;
}
#customerbutton:hover {
  background-color: royalblue;
}
.inputsize {
  margin: 5px 0px 0px 10px;
  padding: 7px;
  width: 14%;
  background-color: #fff;
  border: 1.5px solid #ddd;
}
/*Start style information are for Dealer Assignments*/
.dalabels {
  margin: 10px 5px 8px 0px;
}
#dealerassignments {
  font-family: "Trebuchet MS", Arial, Helvetica, sans-serif;
  border-collapse: collapse;
  width: 100%;
  margin: 5px 0px 0px 2px;
  background-color: white;
}
#dealerassignments td,
#dealerassignments th {
  border: 1px solid #ddd;
  text-align: left;
  white-space: nowrap;
}
#dealerassignments tr:hover {
  background-color: #ddd;
}
#dealerassignments th {
  background-color: #13405e;
  color: white;
}
/*Ebd style information are for Dealer Assignments*/
#savebtn,
#backbtn {
  padding: 6px 20px;
  background-color: dodgerblue;
  border: 1px solid #ddd;
  margin: 10px 0px 0px 0px;
  color: white;
  cursor: pointer;
}
@media (max-width: 800px) {
  .form-inline input {
    margin: 5px 0;
  }
  .form-inline label {
    text-align: left;
    margin: 2px 0px 2px 2px;
  }
  .inputsize {
    margin: 2px 0px 0px 0px;
    padding: 7px;
    width: 100%;
    background-color: #fff;
    border: 1.5px solid #ddd;
  }
  .form-inline {
    flex-direction: column;
    align-items: stretch;
  }
  .form-inline select {
    margin: 5px 2px;
    width: 98%;
  }
  #goalassignments {
    font-family: "Trebuchet MS", Arial, Helvetica, sans-serif;
    border-collapse: collapse;
    width: 100%;
  }

  .menu-margin-top {
    margin-top: 125px;
  }
}

.sub-menu-parent {
  position: relative;
}

.sub-menu {
  visibility: hidden; /* hides sub-menu */
  opacity: 0;
  position: absolute;
  top: 100%;
  left: 0;
  /* width: 150%; */
  width: 250%;
  transform: translateY(-2em);
  z-index: -1;
  transition: all 0.3s ease-in-out 0s, visibility 0s linear 0.3s,
    z-index 0s linear 0.01s;
}

.sub-menu-parent:focus .sub-menu,
.sub-menu-parent:hover .sub-menu {
  visibility: visible; /* shows sub-menu */
  opacity: 1;
  z-index: 1;
  transform: translateY(0%);
  transition-delay: 0s, 0s, 0.3s; /* this removes the transition delay so the menu will be visible while the other styles transition */
}

/* presentational */

section a {
  color: white;
  display: block;
  padding: 0.5em 0.6em;
  text-decoration: none;
}
.submenuitem {
  color: black;
  display: block;
  padding: 0.5em 0.6em;
  text-decoration: none;
}
section a:hover {
  color: white;
  background: olivedrab;
}
section ul,
section ul li {
  list-style-type: none;
  padding: 0;
  margin: 0;
}

section > ul {
  background: cornflowerblue;
  text-align: left;
}
section > ul > li {
  display: inline-block;
  border-left: solid 1px cornflowerblue;
}

section > ul > li:first-child {
  border-left: none;
}

.sub-menu {
  background: white;
}
.imghome {
  width: 20px;
  height: 18px;
  top: 6;
}

@media (max-width: 1100px) {
  .sub-menu {
    visibility: hidden; /* hides sub-menu */
    opacity: 0;
    width: 20%;
    position: absolute;
    transition: all 0.2s ease-in;
  }
  .sub-menu-parent {
    top: auto;
  }
  .sub-menu-parent:focus .sub-menu,
  .sub-menu-parent:hover .sub-menu {
    visibility: visible; /* shows sub-menu */
    opacity: 1;
    top: 10%;
    width: 100%;
    position: relative;
    top: inherit;
    z-index: 1;
    transform: translateY(0%);
    transition-delay: 0s, 0s, 0.3s; /* this removes the transition delay so the menu will be visible while the other styles transition */
  }
  .overall-menu {
    position: absolute;
    width: 20%;
    z-index: 1;
    transition: all 2s ease-in;
  }
  /* presentational */

  section a {
    color: white;
    display: block;
    padding: 0.5em 0.6em;
    text-decoration: none;
  }
  .submenuitem {
    color: black;
    display: block;
    padding: 0.5em 0.6em;
    text-decoration: none;
  }
  section a:hover {
    color: white;
    background: olivedrab;
  }
  section ul,
  section ul li {
    list-style-type: none;
    padding: 0;
    margin: 0;
  }

  section > ul {
    background: cornflowerblue;
    text-align: left;
  }
  section > ul > li {
    border-left: solid 1px cornflowerblue;
  }

  section > ul > li:first-child {
    border-left: none;
  }

  .sub-menu {
    background: white;
  }
  .imghome {
    width: 20px;
    height: 18px;
    top: 6;
  }
  .containerburger {
    display: inline-block;
    cursor: pointer;
  }

  .bar1,
  .bar2,
  .bar3 {
    width: 30px;
    height: 3px;
    background-color: #333;
    margin: 3px 0;
    transition: 0.4s;
  }
}

/*Css for the bootstrap add below this*/
.llp-container-section {
  background-color: #ffffff;
  border: 1px solid lightgrey;
}

.form-control {
  font-size: 12px !important;
  padding: 6px !important;
  border-radius: 5px !important;
}

.menu-margin-top {
  margin-top: 155px;
}
@media screen and (max-width: 1100px) {
  .llp-container-section {
    background-color: #ffffff;
    border: 1px solid lightgrey;
  }

  .menu-margin-top {
    margin-top: 100px;
  }
}
@media screen and (max-width: 400px) {
  .llp-container-section {
    background-color: #ffffff;
    border: 1px solid lightgrey;
  }

  .menu-margin-top {
    margin-top: 140px !important;
  }

  .overall-menu {
    width: 33% !important;
  }
}
@media screen and (max-width: 600px) {
  .llp-container-section {
    background-color: #ffffff;
    border: 1px solid lightgrey;
  }

  .menu-margin-top {
    margin-top: 160px !important;
  }
  .overall-menu {
    width: 33% !important;
  }
}
@media screen and (max-width: 768px) {
  .llp-container-section {
    background-color: #ffffff;
    border: 1px solid lightgrey;
  }

  .menu-margin-top {
    margin-top: 110px;
  }
  .overall-menu {
    width: 33% !important;
  }
}
.heightcontainer {
  height: 100vh;
  overflow: auto;
}
.errordisplay {
  height: 0px;
  color: red;
}

.horizontal-line {
  width: 100%;
  border-bottom: 1.5px solid rgb(187, 190, 192);
}

.tbl-assigned-dealers {
  height: 455px;
  overflow: auto;
}

.tbl-mileage-tracker {
  height: 220px;
  overflow: auto;
}

.tbl-add-task {
  height: 175px;
  overflow: auto;
}

.tbl-update-dealer {
  height: 360px;
  overflow: auto;
}

.tbl-update-task {
  height: 200px;
  overflow: auto;
}

.modal-content {
  width: 40% !important;
  padding: 20px 20px 15px 50px !important;
}

.modal-header {
  padding: 0px !important;
}

.modal-body {
  padding: 10px 0px 0px 0px !important;
}

.modal-footer {
  padding: 10px 0px 0px 0px !important;
}
